Set User’s Access Permission info

This is the API to configure a user’s access permission.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

ID of the Splashtop team.

integer
required

The ID of the user you would like to apply access permission changes to.

Body Params
string
required

The access permission setting you would like to apply to the user. (String) Available settings:

no_computers: the user can access no computers

all_computers: the user can access all computers

group_computers: the user can access only computers in its group

specify_computers_and_groups: the user can access specific computers and computer groups. Combine with the computers and groups parameters below to complete the setup

follow_group: access follows group permissions

computers
object

(Optional) Only required when access_setting is specify_computers_and_groups. Add or remove specific computers by their IDs, which can be queried from the Computer List API. Available actions: add (assign computers to the user's access list), remove (unassign computers from the user's access list). Example: { "access_setting": "specify_computers_and_groups", "computers": { "add": [162505], "remove": [] }, "groups": { "add": [], "remove": [] } }

groups
object

(Optional) Only required when access_setting is specify_computers_and_groups. Add or remove specific groups by their IDs, which can be queried from 5.4 Groups. Available actions: add (assign groups to the user's access list), remove (unassign groups from the user's access list).

Responses
200

Successful response

400

Bad request — invalid parameters

401

Unauthorized — invalid or missing access token

403

Forbidden — insufficient scope, or the action/value/target is not allowed. See data.error for the sub-reason.

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!